program testsort

use sort_mod
use errorhandling
implicit none

integer,parameter :: npts = 100
real r(npts)
integer i
logical ok

call random_seed

call random_number(r)

call sort(npts,r)

ok = .true.
do i=1,npts-1

   if (r(i) .gt. r(i+1)) ok = .false.
enddo

if (.not.ok) call fatal("badorder","sort failed")


end program testsort


