module getfilterid_mod

   use errorhandling

   implicit none

contains

function getFilterID(filterString) result(j)

   character(len=*), intent(in) :: filterString
   character(len=9) :: filtdata(24:35)
   integer i
   integer j

   filtdata = (/ "BLOCKED  ", "UVW2     ", "UVM2     ", "UVW1     ", &
  &              "U        ", "B        ", "V        ", "WHITE    ", &
  &              "MAGNIFIER", "GRISM1   ", "GRISM2   ", "BARREDU  " /)

 
   j = -1 
   do i = 24, 35
      if (trim(filterString) .eq. trim(filtdata(i))) then
         j = i
      end if
   end do

   if (j < 0) then
      call fatal("badFilt", "filter not recognised")
   end if

end function getFilterID

end module getFilterID_mod
