program testframetime
  use dal
  use frametime_mod
  implicit none
  type(DataSetT) :: windowSet
  real(kind=double) :: frametime
  real(kind=double) :: deadfrac

  windowSet = dataSet("windowdata.fts",read)


  call getFrameTime(windowSet, frametime, deadfrac, .FALSE.)

!  write(errstr,'(a,f6.4,a)') "Frametime: ",f," ms"
!  call message(AppMsg, 1)
  write (*, *) "Frametime: ",frametime," ms deadfrac:",deadfrac

end program testframetime
